RAIDR/API Reference/Nodes

Create node

posthttp://127.0.0.1:8787/api/v1/deployments/{id}/nodes

Path parameters

idstring <uuid>Required

Deployment ID.

Request

application/json

This endpoint expects a NodeInput object.

namestringRequired
rolestringRequired
Allowedcommandrelayteamsensorasset
latnumberRequired
lonnumberRequired
height_agl_mnumberOptional

Antenna height above ground level in metres.

radioobjectOptional

Frequency, bandwidth, transmit power, cable losses, antenna gains, noise figure, polarization, climate zone, atmospheric profile, rain rate, target availability, and optional target data rate.

pointingobjectOptional

Antenna azimuth and elevation in degrees.

Response

201 · application/json

Node created. Returns a Node object.

idstring <uuid>Required
deployment_idstring <uuid>Required
namestringRequired
rolestringRequired
Allowedcommandrelayteamsensorasset
latnumberRequired
lonnumberRequired
height_agl_mnumberOptional

Antenna height above ground level in metres.

radioobjectOptional

Frequency, bandwidth, transmit power, cable losses, antenna gains, noise figure, polarization, climate zone, atmospheric profile, rain rate, target availability, and optional target data rate.

pointingobjectOptional

Antenna azimuth and elevation in degrees.

Errors

400
Problem

Malformed request.

404
Problem

Resource not found.